<p *ngIf="!diagnosticsDataDevicesReadingDetails"><em>Loading...</em></p>


<div *ngIf="diagnosticsDataDevicesReadingDetails">
  <p>
    <b>Reading TimeStamp: {{diagnosticsDataDevicesReadingDetails.list[0].createdOn}}</b>
  </p>
  <table class='table table-striped' aria-labelledby="tableLabel" >
    <thead>
      <tr>
        <!--<th>Id</th>-->
        <!--<th>Site Id</th>-->
        <th>Description</th>
        <th>Device</th>
        <th>Instance</th>
        <th>Data Attribute Id</th>
        <th>Format With Unit</th>
        <th>Service Type</th>
        <th>Path</th>
        <th>Formatted Value</th>
        <th>Timestamp</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let detail of diagnosticsDataDevicesReadingDetails.list">
        <!--<td>{{detail.id}}</td>-->
        <!--<td>{{detail.idSite}}</td>-->
        <td>{{detail.description}}</td>
        <td>{{detail.device}}</td>
        <td>{{detail.instance}}</td>
        <td>{{detail.idDataAttribute}}</td>
        <td>{{detail.formatWithUnit}}</td>
        <td>{{detail.dbusServiceType}}</td>
        <td>{{detail.dbusPath}}</td>
        <td>{{detail.formattedValue}}</td>
        <td>{{detail.timestamp}}</td>
      </tr>
    </tbody>
  </table>
</div>
